/*----------------------------------------------------------------------------
    Section films les plus populaires
----------------------------------------------------------------------------*/
.films-populaires {
  main {
    margin: 0 20px;

    text-align: center;

    h3 {
      margin: 10px 0;
    }

    p {
      margin: 0 0 20px;
    }
  }

  article.films-colonne {
    position: relative;

    margin: 10px;

    background: $color-bg-fiche;

    text-align: center;
  }

  article.films-colonne * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;

    -webkit-transition: all 0.35s ease-in-out;
    transition: all 0.35s ease-in-out;
  }

  article.films-colonne i {
    position: absolute;

    top: 50%;
    left: 50%;

    border-radius: 50%;

    font-size: $fz-h3-grand;

    color: #000000;
    background: $white;

    width: 60px;
    height: 60px;

    line-height: 60px;

    box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
    -webkit-transform: translate(-50%, -50%) scale(0);
    transform: translate(-50%, -50%) scale(0);
    transition: all 300ms 0ms cubic-bezier(0.6, -0.28, 0.735, 0.045);
  }

  article.films-colonne a {
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: absolute;
  }

  article.films-colonne:hover img,
  article.films-colonne.hover img {
    opacity: 0.3;

    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
  }

  article.films-colonne:hover i,
  article.films-colonne.hover i {
    -webkit-transform: translate(-50%, -50%) scale(1);
    transform: translate(-50%, -50%) scale(1);
    transition: all 300ms 100ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
  }

  /*Synopsis*/
  .synopsis {
    margin: auto 20px 0;

    padding-bottom: 30px;
  }

  /*Container film*/
  .films-container {
    padding-bottom: 40px;
  }


  /*----------------------------------------------------------------------------
      Survol sur les colonnes / différentes catégories
  ----------------------------------------------------------------------------*/

  .films-liens {
    padding-bottom: 30px;
  }

  .films-liens {
    background-color: $color-bg-fiche;
    color: $white;

    margin: 10px;

    text-align: center;
  }

  .image-film {
    width: 100%;
  }


  /*----------------------------------------------------------------------------
      Médias queries
  ----------------------------------------------------------------------------*/

  @media screen and(min-width: $vw-medium) {
    .annee-cote {
      p {
        font-size: $fz-p;
      }
    }

    .films-container {
      display: grid;

      grid-template-columns: 1fr 1fr;
      grid-gap: 20px;
    }

    .grid-center {
      grid-column: 2/3;
    }
  }

  @media screen and(min-width: $vw-huge) {
    .films-container {
      display: grid;

      grid-template-columns: 1fr 1fr 1fr;
      grid-gap: 20px;
    }

    .grid-center {
      grid-column: 2/3;
    }
  }
}
